<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddIndexesToEmployeeAttendancesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
       
        // Schema::table('attendance_logs', function (Blueprint $table) {
        //     $table->index('employee_id');
        //     $table->index('site_id');

        // });
        Schema::table('employee_attendances', function (Blueprint $table) {
            $table->index('employee_id');
            $table->index('site_id');
        });
        Schema::table('medical_attach_files', function (Blueprint $table) {
            $table->index('emp_id');
        });
        Schema::table('meeting_attendances', function (Blueprint $table) {
            $table->index('meeting_id');
            $table->index('employee_id');
            $table->index('guest_user_id');

        });  //confirme this is addded on database
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('employee_attendances', function (Blueprint $table) {
            //
        });
    }
}
